@rem Contact: www.retrocmp.com/tools/tu58fs , j_hoppe@t-online.de

@rem  Set number of serial COM port and baudrate connected to TU58 UART.
set BAUD=38400
set PORT=
@rem  Examples:
@rem  set PORT=1
@rem  set PORT=9

@echo.
@echo This demo operates RT-11 V5.7 from oversized 10MB TU58 images.
@echo The system device #0 at DD0: contains a full RT11 V5.7 "fresh-install"
@echo and device #1 at DD1: contains a set of games.
@echo.
@echo Both images are unpacked into shared directory before use.
@echo.

@if not x%PORT%x == xx goto tu58fs
    @echo But: Serial port not set!
    @echo You already have a serial connection to the console port on your PDP-11?
    @echo Now connect a 2nd serial port to the TU58 UART at 176500,
    @echo determine the local serial port device and baudrate,
    @echo and edit the \$PORT and \$BAUD variables in this script.
    @echo
    @goto exit

:tu58fs
@echo After start you can boot your PDP-11 from the DD0: device.
@echo Press ENTER to continue. End tu58fs by typing a "Q".
@pause
@echo.

@rem unpack both
@rem Only included to show "unpack", you can disable this after first run.

tu58fs.exe --rt11 --size 10M --unpack rt11v57.oversized.tu58 rt11v57#0 TU58 --unpack rt11games.oversized.tu58 rt11v57#1 TU58

@rem DD0: is shared directory rt11v57#0, DD1: is rt11v57#1.
tu58fs.exe -v -p %PORT% -b %BAUD%  --rt11 --size 10M -sd 0 w rt11v57#0   -sd 1 w rt11v57#1

:exit
