@rem Contact: www.retrocmp.com/tools/tu58fs , j_hoppe@t-online.de

@rem  Set number of serial COM port and baudrate connected to TU58 UART.
set BAUD=38400
set PORT=
@rem Examples:
@rem set PORT=1
@rem set PORT=9

@echo.
@echo This demo boots XXDP from image 11XXDP.DSK and generates 7 additional
@echo TU58 tape units in 7 shared directories "xxdp#1" to "xxdp#7".
@echo Under XXDP, they are accessible as DD1: to DD7: .
@echo So you have a total space of 7*256K to store selected XXDP diagnostics.
@echo.

@if not x%PORT%x == xx goto tu58fs
    @echo But: Serial port not set!
    @echo You already have a serial connection to the console port on your PDP-11?
    @echo Now connect a 2nd serial port to the TU58 UART at 176500,
    @echo determine the local serial port device and baudrate,
    @echo and edit the \$PORT and \$BAUD variables in this script.
    @echo
    @goto exit

:tu58fs
@echo After start you can boot your PDP-11 from the DD0: device.
@echo Press ENTER to continue. End tu58fs by typing a "Q".
@pause
@echo.

tu58fs.exe -v -p %PORT% -b %BAUD% --xxdp -d 0 w 11XXDP.DSK -sd 1 c xxdp#1 -sd 2 c xxdp#2 -sd 3 c xxdp#3 -sd 4 c xxdp#4 -sd 5 c xxdp#5 -sd 6 c xxdp#6 -sd 7 c xxdp#7

:exit
