@rem Contact: www.retrocmp.com/tools/tu58fs , j_hoppe@t-online.de

@rem  Set number of serial COM port and baudrate connected to TU58 UART.
set BAUD=38400
set PORT=
@rem Examples:
@rem set PORT=1
@rem set PORT=9

@echo.
@echo This demo boots XXDP2.5 from image 11XXDP.DSK and generates an oversized
@echo TU58 tape unit #1 in directory "xxdp#1", which has a size of 10 Megabytes.
@echo Tape #1 is filled with the content of all diagnostics from the
@echo XXDP 2.5 RL02 disk. Start these diagnostics like
@echo .R DD1:ZTUU??.???
@echo See http://www.retrocmp.com/tools/pdp-11-diagnostic-database/202-pdp-11-diagnostics-database
@echo.

@if not x%PORT%x == xx goto tu58fs
    @echo But: Serial port not set!
    @echo You already have a serial connection to the console port on your PDP-11?
    @echo Now connect a 2nd serial port to the TU58 UART at 176500,
    @echo determine the local serial port device and baudrate,
    @echo and edit the \$PORT and \$BAUD variables in this script.
    @echo
    @goto exit

:tu58fs
@echo After start you can boot your PDP-11 from the DD0: device.
@echo Press ENTER to continue. End tu58fs by typing a "Q".
@pause
@echo.


@echo Unpack the full XXDP RL02 disk into tape #1 directory.
tu58fs.exe --xxdp --unpack xxdp25.rl02 xxdp#1 RL02

@echo Boot from regular 256kb tape, use all utilities on the 10M tape #1,
@echo create a regular test tape in device #2.
rem tu58fs.exe -v -p %PORT% -b %BAUD% --xxdp -up 11XXDP.DSK xxdp#0 TU58 -sd 0 w xxdp#0 -sd 1 c xxdp#1
tu58fs.exe -v -p %PORT% -b %BAUD% --xxdp -d 0 w 11XXDP.DSK --size 10M -sd 1 w xxdp#1 --size std -d 2 c xxdp#2

:exit
